Skip to main content
PATCH
Change a project’s name or profile

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Project id (proj_…) or slug (the domain with dots as dashes).

Body

application/json
name
string
Required string length: 1 - 100
description
string | null
Required string length: 1 - 500
category
string | null
Required string length: 1 - 100
businessType
enum<string> | null
Available options:
b2b_saas,
consumer_software,
ecommerce,
marketplace,
agency_services,
local_business,
publisher_media,
other,
null
products
string[]
Maximum array length: 20
Required string length: 1 - 200
personas
string[]
Maximum array length: 20
Required string length: 1 - 200
topicTerms
object

Response

Updated project

project
object
required